Bug 2245330 - CVE-2023-5686 radare2: heap-buffer-overflow in /radare2/shlr/java/code.c:211:21 in java_print_opcode [fedora-all]
Summary: CVE-2023-5686 radare2: heap-buffer-overflow in /radare2/shlr/java/code.c:211:...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: radare2
Version: 38
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-5686
TreeView+ depends on / blocked
 
Reported: 2023-10-20 20:07 UTC by Robb Gatica
Modified: 2023-11-14 01:55 UTC (History)
2 users (show)

Fixed In Version: radare2-5.8.8-2.el9 radare2-5.8.8-2.fc37 radare2-5.8.8-2.el8 radare2-5.8.8-2.el7 radare2-5.8.8-2.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-14 00:34:04 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Robb Gatica 2023-10-20 20:07:44 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2245328

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Robb Gatica 2023-10-20 20:07:47 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2245328,2245330

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-11-04 01:38:44 UTC
FEDORA-EPEL-2023-63d2fd37d2 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-63d2fd37d2

Comment 3 Fedora Update System 2023-11-04 01:38:54 UTC
FEDORA-2023-f2a6d27239 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f2a6d27239

Comment 4 Fedora Update System 2023-11-04 01:39:03 UTC
FEDORA-2023-ffaebb1e10 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-ffaebb1e10

Comment 5 Fedora Update System 2023-11-04 01:39:11 UTC
FEDORA-EPEL-2023-87285c6aca has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-87285c6aca

Comment 6 Fedora Update System 2023-11-04 01:39:20 UTC
FEDORA-EPEL-2023-1c3e19a13a has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-1c3e19a13a

Comment 7 Fedora Update System 2023-11-06 01:37:29 UTC
FEDORA-EPEL-2023-1c3e19a13a has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-1c3e19a13a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-11-06 01:44:42 UTC
FEDORA-EPEL-2023-63d2fd37d2 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-63d2fd37d2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-11-06 02:50:03 UTC
FEDORA-2023-f2a6d27239 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f2a6d27239`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f2a6d27239

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-11-06 02:57:13 UTC
FEDORA-EPEL-2023-87285c6aca has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-87285c6aca

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-11-06 02:57:18 UTC
FEDORA-2023-ffaebb1e10 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-ffaebb1e10`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-ffaebb1e10

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-11-14 00:34:04 UTC
FEDORA-EPEL-2023-1c3e19a13a has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2023-11-14 01:10:21 UTC
FEDORA-2023-f2a6d27239 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2023-11-14 01:27:27 UTC
FEDORA-EPEL-2023-63d2fd37d2 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-11-14 01:44:51 UTC
FEDORA-EPEL-2023-87285c6aca has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2023-11-14 01:55:28 UTC
FEDORA-2023-ffaebb1e10 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.